Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::TLS_Exception Class Reference

`#include <tls_exceptn.h>`

Inheritance diagram for Botan::TLS::TLS_Exception:

## Public Member Functions
int | error_code () const noexceptoverride
ErrorType | error_type () const noexceptoverride
| TLS_Exception (Alert::Type type, const std::string &err_msg="Unknown error")
Alert::Type | type () const
const char * | what () const noexceptoverride

## Detailed Description

TLS Exception Base Class

Definition at line 21 of file tls_exceptn.h.

## Constructor & Destructor Documentation

Botan::TLS::TLS_Exception::TLS_Exception | ( | Alert::Type | type,
|  | const std::string & | err_msg = `"Unknown error"`
| ) |  |
| inline

Definition at line 26 of file tls_exceptn.h.

27 :
28 Exception(err_msg), m_alert_type(type) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73
Botan::TLS::TLS_Exception::type
Alert::Type type() const
Definition: tls_exceptn.h:24

## Member Function Documentation

int Botan::TLS::TLS_Exception::error_code | ( |  | ) | const
| inline override virtual noexcept

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented from Botan::Exception.

Definition at line 30 of file tls_exceptn.h.

30 { return static_cast<int>(m_alert_type); }

ErrorType Botan::TLS::TLS_Exception::error_type | ( |  | ) | const
| inline override virtual noexcept

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 32 of file tls_exceptn.h.

References Botan::TLSError.

32 { return ErrorType::TLSError; }
Botan::ErrorType::TLSError

Alert::Type Botan::TLS::TLS_Exception::type | ( |  | ) | const
| inline

Definition at line 24 of file tls_exceptn.h.

Referenced by Botan::TLS::Stream< StreamLayer, ChannelT >::handshake(), Botan::TLS::detail::AsyncReadOperation< Handler, Stream, MutableBufferSequence, Allocator >::operator()(), Botan::TLS::detail::AsyncHandshakeOperation< Handler, Stream, Allocator >::operator()(), Botan::TLS::Stream< StreamLayer, ChannelT >::read_some(), Botan::TLS::Channel::received_data(), Botan::TLS::Stream< StreamLayer, ChannelT >::shutdown(), and Botan::TLS::Stream< StreamLayer, ChannelT >::tls_encrypt().

24 { return m_alert_type; }

const char* Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

References m_msg.

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), and Botan_FFI::ffi_guard_thunk().

96 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_exceptn.h